DIRNAME(1)

NAZWA
dirname - usuń niekatalogowy przyrostek nazwy pliku

SKŁADNIA
dirname nazwapliku
dirname [--help] [--version]

OPIS
Ta strona podręcznika man opisuje polecenie dirname w wersji GNU.

dirname wypisuje wszystkie, oprócz ostatniej, rozdzielone ukośnikami składowe nazwypliku. Otrzymujemy w ten sposób ścieżkę pliku. Jeśli nazwapliku jest pojedynczą składową, dirname wypisuje `.' (oznaczające bieżący katalog).

OPCJE

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-sh-utils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
basename(1), pathchk(1), sh-utils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi powłokowych GNU wersji 2.0.